package com.ssj.service.conch.teacher.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import com.ssj.service.conch.teacher.vo.WorkImgVO;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

public class SubCourseReq  extends BaseRequest{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(name = "courseId", value = "课程id", required = true)
    private String  courseId;
	
	@ApiModelProperty(name = "courseName", value = "科目名称", required = true)
    private String  courseName;
	
	@ApiModelProperty(name = "imgList", value = "作业成果图片", required = true)
	private List<WorkImgVO>  imgList = new ArrayList<WorkImgVO>();
    

	public String getCourseId() {
		return courseId;
	}

	public void setCourseId(String courseId) {
		this.courseId = courseId;
	}

	public List<WorkImgVO> getImgList() {
		return imgList;
	}

	public void setImgList(List<WorkImgVO> imgList) {
		this.imgList = imgList;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	
	
}
